package com.example.ayudapy.model

data class PedidosAyuda (
    val type: String,
    val features: List<Feature>
)

data class Feature (
    val type: FeatureType,
    val geometry: Geometry,
    val properties: Properties
)

data class Geometry (
    val type: GeometryType,
    val coordinates: List<Double>
)

enum class GeometryType {
    Point
}

data class Properties (
    val pk: Long,
    val title: String,
    val name: String,
    val added: String
)

enum class FeatureType {
    Feature
}


