package com.example.ayudapy.model


data class CentroAyuda (
    val count: Long,
    val next: Any? = null,
    val previous: Any? = null,
    val results: List<Result>
)

data class Result (
    val id: Long,
    val name: String,
    val phone: String,
    val location: Location,
    val address: String,
    val city: String,
    val cityCode: String,
    val active: Boolean,
    val added: String
)

data class Location (
    val type: String,
    val coordinates: List<Double>
)
